function [ dataout] = parsim( dim, it )
%Tests the control loop for different amplitudes, frequencies, and phase
%offsets in parallel
[r,s,u,] = ind2sub([dim,dim,dim],it);
ampin = linspace(5,5000,dim);
freqin = linspace(10,10000,dim);
phasein = linspace(10*(pi/180),360*(pi/10),dim);
amp = ampin(r);
freq = freqin(s);
phi = phasein(u);
model = 'controllooppar';
load_system(model);
mws = get_param(bdroot, 'modelworkspace');
mws.assignin('amp',amp)
mws.assignin('freq',freq)
mws.assignin('phi',phi)
%Start the simulation
simout = sim(model, 'SimulationMode','normal');
dataout = [simout.get('tout'),simout.get('yout'),];
dataout(1,3) = amp;
dataout(2,3) = freq;
dataout(3,3) = phi;
end

